# $Revision: 1.9 $, $Date: 2008/07/27 22:24:06 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	PerlIO
%define		pnam	via-symlink
Summary:	PerlIO::via::symlink - PerlIO layers for create symlinks
Summary(pl.UTF-8):	PerlIO::via::symlink - warstwy PerlIO do tworzenia symlinków
Name:		perl-PerlIO-via-symlink
Version:	0.05
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bf33533dba6a48eb459a15df15c8415f
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PerlIO layer symlink allows you to create a symbolic link by
writing to the file handle.

You need to write "link $name" to the file handle. If the format does
not match, close will fail with EINVAL.

%description -l pl.UTF-8
Warstwa PerlIO symlink umożliwia tworzenie dowiązań symbolicznych
poprzez zapis do uchwytu pliku.

Wystarczy zapisać "link $name" do uchwytu pliku. Jeśli format się nie
zgadza, close nie powiedzie się z kodem EINVAL.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_vendorlib}/PerlIO/via/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-PerlIO-via-symlink.spec,v $
Revision 1.9  2008/07/27 22:24:06  arekm
- release 2

Revision 1.8  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.6  2005/11/02 11:31:00  czucz
- updated to 0.05

Revision 1.5  2004/11/11 12:58:22  paladine
- updated to 0.03

Revision 1.4  2004/11/03 22:30:40  paladine
- formatting

Revision 1.3  2004/10/31 22:53:42  paladine
- spaces->tabs
- formatting

Revision 1.2  2004/08/12 21:02:49  qboosh
- pl

Revision 1.1  2004/08/11 18:47:54  radek
- new
